Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.chat
Class RoomDelegate

    java.lang.Object
      |
      +--org.jbrain.qlink.chat.AbstractRoomDelegate
            |
            +--org.jbrain.qlink.chat.RoomDelegate

All Implemented Interfaces:
  QRoom

public class RoomDelegate
extends AbstractRoomDelegate

Field Summary
`protected SeatInfo[]` | `_users`
`static int` | `ROOM_CAPACITY`

Fields inherited from class org.jbrain.qlink.chat.AbstractRoomDelegate
`_alGames, _htUsers, _listeners, SYS_NAME`

Constructor Summary
`RoomDelegate(java.lang.String name, boolean bPublic, boolean bLocked)`

Method Summary
`QSeat` | `addUser(org.jbrain.qlink.user.QHandle handle, ChatProfile security)`
`QSeat` | `addUserToGame(org.jbrain.qlink.user.QHandle handle, GameDelegate game)`
`GameDelegate` | `createGame(int id, java.lang.String name, java.lang.String type, boolean systemPickOrder)`
`void` | `destroyGame(GameDelegate game)`
`int` | `getCapacity()`
`QSeat[]` | `getExtSeatInfoList(QSeat user)`
`GameDelegate` | `getGame(QSeat user)`
`GameInfo[]` | `getGameInfoList()`
`QSeat[]` | `getSeatInfoList(QSeat seat)`
`boolean` | `isManagedRoom()`
`protected void` | `leaveSeat(QSeat user)`
`ObservedGame` | `observeGame(org.jbrain.qlink.user.QHandle handle)`
`void` | `removeUser(QSeat user)`
`void` | `removeUserFromGame(org.jbrain.qlink.user.QHandle handle)`
`protected void` | `send(RoomEvent event)`
`protected void` | `takeSeat(QSeat user)`

Methods inherited from class org.jbrain.qlink.chat.AbstractRoomDelegate
`addEventListener, changeUserName, getInfo, getName, getNumber, getPopulation, getSeatInfo, isFull, isInRoom, isLocked, isPublicRoom, processChatEvent, processCommand, processEvent, processJoinEvent, processQuestionStateEvent, processSystemMessageEvent, removeEventListener, say, sendSystemMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOM_CAPACITY

    public static final int ROOM_CAPACITY

See Also:
  Constant Field Values

### _users

    protected SeatInfo[] _users

Constructor Detail

### RoomDelegate

    public RoomDelegate(java.lang.String name,
                        boolean bPublic,
                        boolean bLocked)

Method Detail

### addUserToGame

    public QSeat addUserToGame(org.jbrain.qlink.user.QHandle handle,
                               GameDelegate game)
                        throws UserNotInRoomException

  Parameters:
    `handle` -
  Returns:
  Throws:
    `UserNotInRoomException`
    `UserMismatchException`

### getCapacity

    public int getCapacity()

  Specified by:
    `getCapacity` in class `AbstractRoomDelegate`
  Returns:

### getSeatInfoList

    public QSeat[] getSeatInfoList(QSeat seat)

### getGameInfoList

    public GameInfo[] getGameInfoList()

  Specified by:
    `getGameInfoList` in interface `QRoom`
  Overrides:
    `getGameInfoList` in class `AbstractRoomDelegate`
  Returns:

### destroyGame

    public void destroyGame(GameDelegate game)

### getGame

    public GameDelegate getGame(QSeat user)

### removeUserFromGame

    public void removeUserFromGame(org.jbrain.qlink.user.QHandle handle)

### createGame

    public GameDelegate createGame(int id,
                                   java.lang.String name,
                                   java.lang.String type,
                                   boolean systemPickOrder)

  Parameters:
    `name` -
    `type` -
    `systemPickOrder` -
  Returns:

### observeGame

    public ObservedGame observeGame(org.jbrain.qlink.user.QHandle handle)

  Returns:

### addUser

    public QSeat addUser(org.jbrain.qlink.user.QHandle handle,
                         ChatProfile security)

  Parameters:
    `handle` -

### removeUser

    public void removeUser(QSeat user)

  Specified by:
    `removeUser` in interface `QRoom`
  Overrides:
    `removeUser` in class `AbstractRoomDelegate`

### takeSeat

    protected void takeSeat(QSeat user)

  Overrides:
    `takeSeat` in class `AbstractRoomDelegate`
  Parameters:
    `user` -

### leaveSeat

    protected void leaveSeat(QSeat user)

  Overrides:
    `leaveSeat` in class `AbstractRoomDelegate`
  Parameters:
    `user` -

### send

    protected void send(RoomEvent event)

  Specified by:
    `send` in class `AbstractRoomDelegate`
  Parameters:
    `event` -

### getExtSeatInfoList

    public QSeat[] getExtSeatInfoList(QSeat user)

### isManagedRoom

    public boolean isManagedRoom()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD